# License
    Copyright (C) 2023 Fotios Anagnostopoulos

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.

# Contents
	1. Directory "RANS": contains all needed files for the 
	run using k-epsilon Reynolds-Averaged Navier Stokes model
	2. Directory "LES": contains all relevant files 
	for the run using Smagorinsky Large Eddy Simulations model.

# How to run the code
	1. Install OpenFoam version 2106 [1]. We also need paraview and configuration for parallel run.
	2. Run "./Allrun-parallel" or "./Allrun" if you had not configured mpi in your system.
	3. Clean everything via "./Allclean".

# Some remarks about the physics
	1. We employ cyclical BCs. Thus, near to the walls of the box we anticipate unrealistic results. So, 
	one has to consider a smaller box. The relevant scale is to be calculated as a function of the velocities.
	Given the considered U magnitude ~ 5 m/s, within the x - direction, we need to keep a distance from the boundaries along the x direction of order of 5 - 10 times the mean free path of a portion of the flow before encountering an obstacle. An obstacle is a building or a wake and the characteristic length for both is estimated to be of order 6m. We deduce that the needed cut-off length to evade the direct influence of the BCs is about 60 m. In all the results, we used a much larger distance of order ~100m.

	2. We used wall functions for all quantities. The relevant definitions can be found at [2] and references therein.

	3. More details can be found at the corresponding report. 

# References
	1. https://www.openfoam.com/news/main-news/openfoam-v2106
	2. https://www.openfoam.com/documentation/guides/latest/doc/index.html